package com.sxc.etaxincome.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-04-25 16:15:59
 */
@TableName("etax_report_result_config")
public class EtaxReportResultConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 接口编号
     */
    private String apiCode;

    /**
     * 报表名
     */
    private String tableName;

    /**
     * 报表编码
     */
    private String tableCode;

    /**
     * 行位置
     */
    private String locationRow;

    /**
     * 列位置
     */
    private String locationCol;

    /**
     * 电子税局参数名
     */
    private String etaxParamName;

    /**
     * 映射关系参数名
     */
    private String etaxExportName;

    /**
     * 电子税局value
     */
    private String etaxParamValue;

    /**
     * 是否显示 0-否 1-是
     */
    private String showFlag;

    /**
     * 是否校验 0-否 1-是
     */
    private String checkFlag;

    /**
     * 校验适配类
     */
    private String checkClass;

    /**
     * 说明
     */
    private String remark;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 最后更新日期
     */
    private LocalDateTime updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getApiCode() {
        return apiCode;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }
    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
    public String getTableCode() {
        return tableCode;
    }

    public void setTableCode(String tableCode) {
        this.tableCode = tableCode;
    }
    public String getLocationRow() {
        return locationRow;
    }

    public void setLocationRow(String locationRow) {
        this.locationRow = locationRow;
    }
    public String getLocationCol() {
        return locationCol;
    }

    public void setLocationCol(String locationCol) {
        this.locationCol = locationCol;
    }
    public String getEtaxParamName() {
        return etaxParamName;
    }

    public void setEtaxParamName(String etaxParamName) {
        this.etaxParamName = etaxParamName;
    }
    public String getEtaxExportName() {
        return etaxExportName;
    }

    public void setEtaxExportName(String etaxExportName) {
        this.etaxExportName = etaxExportName;
    }
    public String getEtaxParamValue() {
        return etaxParamValue;
    }

    public void setEtaxParamValue(String etaxParamValue) {
        this.etaxParamValue = etaxParamValue;
    }
    public String getShowFlag() {
        return showFlag;
    }

    public void setShowFlag(String showFlag) {
        this.showFlag = showFlag;
    }
    public String getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag;
    }
    public String getCheckClass() {
        return checkClass;
    }

    public void setCheckClass(String checkClass) {
        this.checkClass = checkClass;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "EtaxReportResultConfig{" +
            "id=" + id +
            ", apiCode=" + apiCode +
            ", tableName=" + tableName +
            ", tableCode=" + tableCode +
            ", locationRow=" + locationRow +
            ", locationCol=" + locationCol +
            ", etaxParamName=" + etaxParamName +
            ", etaxExportName=" + etaxExportName +
            ", etaxParamValue=" + etaxParamValue +
            ", showFlag=" + showFlag +
            ", checkFlag=" + checkFlag +
            ", checkClass=" + checkClass +
            ", remark=" + remark +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
