package com.sxc.etaxincome.domain.model.common;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author caosongqing
 * @date 2023/4/19
 * @description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PageList<E> {
    private Integer total;
    private Integer pageNumber;
    private Integer pageSize;
    private List<E> list;
}
