package com.sxc.etaxincome.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户日志对照表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-07-02 16:32:19
 */
@TableName("fin_user_taxno")
public class FinUserTaxno implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 税号
     */
    private String taxno;

    /**
     * 用户名
     */
    private String username;

    /**
     * 购方名称
     */
    private String taxname;

    /**
     * 用户状态 0-正常 1-冻结
     */
    private String taxStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 进项标记  0-否 1-是
     */
    private String buyFlag;

    /**
     * 销项标记  0-否 1-是
     */
    private String sellFlag;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getTaxno() {
        return taxno;
    }

    public void setTaxno(String taxno) {
        this.taxno = taxno;
    }
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
    public String getTaxname() {
        return taxname;
    }

    public void setTaxname(String taxname) {
        this.taxname = taxname;
    }
    public String getTaxStatus() {
        return taxStatus;
    }

    public void setTaxStatus(String taxStatus) {
        this.taxStatus = taxStatus;
    }
    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }
    public LocalDateTime getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(LocalDateTime updateDate) {
        this.updateDate = updateDate;
    }
    public String getBuyFlag() {
        return buyFlag;
    }

    public void setBuyFlag(String buyFlag) {
        this.buyFlag = buyFlag;
    }
    public String getSellFlag() {
        return sellFlag;
    }

    public void setSellFlag(String sellFlag) {
        this.sellFlag = sellFlag;
    }

    @Override
    public String toString() {
        return "FinUserTaxno{" +
            "id=" + id +
            ", taxno=" + taxno +
            ", username=" + username +
            ", taxname=" + taxname +
            ", taxStatus=" + taxStatus +
            ", createDate=" + createDate +
            ", updateDate=" + updateDate +
            ", buyFlag=" + buyFlag +
            ", sellFlag=" + sellFlag +
        "}";
    }
}
