package com.sxc.etaxincome.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sxc.etaxincome.common.model.report.IncomeExceptionStatResult;
import com.sxc.etaxincome.criteria.FinRealLogCriteria;
import com.sxc.etaxincome.criteria.IncomeQueryCommon;
import com.sxc.etaxincome.entity.FinCountReport;
import com.sxc.etaxincome.entity.FinRealLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-06-05 22:49:55
 */
public interface IFinRealLogService extends IService<FinRealLog> {

     List<FinCountReport> statAreaIncome(IncomeQueryCommon incomeQueryCommon);
     List<IncomeExceptionStatResult> queryExceptionList(IncomeQueryCommon incomeQueryCommon);

     public IPage<FinRealLog> queryPageListOrderByRequestTimeDesc(FinRealLogCriteria finRealLogCriteria, int start, int limit);

}
