package com.sxc.etaxincome.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.sxc.etaxincome.entity.SysAppUser;
import com.sxc.etaxincome.mapper.SysAppUserMapper;
import com.sxc.etaxincome.service.ISysAppUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-05-27 22:24:49
 */
@Service
public class SysAppUserServiceImpl extends ServiceImpl<SysAppUserMapper, SysAppUser> implements ISysAppUserService {

    public List<SysAppUser> queryListByCriteria(SysAppUser sysAppUserCriteria) {
        Wrapper<SysAppUser> queryWrapper = Wrappers.<SysAppUser>lambdaQuery()
                .eq(sysAppUserCriteria.getUserId() != null, SysAppUser::getUserId, sysAppUserCriteria.getUserId())
                .eq(StringUtils.isNotBlank(sysAppUserCriteria.getUsername()), SysAppUser::getUsername, sysAppUserCriteria.getUsername());
        return this.list(queryWrapper);
    }

}
